# gitea

Add a `.env` file like this:

```
GITEA_DB_PASSWORD=...
GITEA_SMTP_PASSWORD=...
GITEA_RUNNER_REGISTRATION_TOKEN=...
```

You should keep an eye on `GITEA_RUNNER_REGISTRATION_TOKEN`. I suspect
it might change over time, e.g. when restarting or updating Gitea.

## Files

- `runner-config.yaml`: Configuration for `gitea/act_runner`. Generated using `act_runner generate-config` then adjusted
- `Dockerfile`: Creates an image based on `gitea/act_runner` that comes with `runner-config.yaml` in `/opt` (to avoid the extra mount)
